# Class ConnectionSender

- Defined in packages/net/src/ConnectionSender.ts:8

#####
Index

### Constructors

constructor

### Properties

cxn
worker

### Methods

close
push

##
Constructors

### constructor

- new ConnectionSender(cxn: Connection ): ConnectionSender

- #### Parameters

  - cxn: Connection

  #### Returns ConnectionSender

  - Defined in packages/net/src/ConnectionSender.ts:11

##
Properties

### `Readonly` cxn

cxn: Connection

- Defined in packages/net/src/ConnectionSender.ts:11

### worker

worker: Worker < Message >

- Defined in packages/net/src/ConnectionSender.ts:9

##
Methods

### close

- close(): Promise<void>

- #### Returns Promise<void>

  - Defined in packages/net/src/ConnectionSender.ts:50

### push

- push(message: Message ): void

- #### Parameters

  - message: Message

  #### Returns void

  - Defined in packages/net/src/ConnectionSender.ts:46